Company Contact Us 사이트맵 로그인


공지사항
자주하는질문(FAQ)
온라인 상담
Contact Us
신청서 다운로드
공지사항

No 313
제목 [kisa 보안공지] Apache Struts 2 취약점 보안 업데이트 권고
작성일 2018-04-03 11:24:27
내용

https://www.krcert.or.kr/data/secNoticeView.do?bulletin_writing_sequence=27124 

 

□ 개요
 o Apache Struts에서 서비스거부 공격 수행이 가능한 취약점을 해결한 보안 업데이트 발표[1]
 o 낮은 버전을 사용중인 시스템은 서비스 거부 공격에 악용될 수 있으므로, 최신 버전으로 업데이트 권고

□ 설명
 o REST 플러그인에서 조작된 XML을 요청하여 DoS 공격이 가능한 취약점(CVE-2018-1327)

□ 영향을 받는 제품
 o Struts 2.1.1 ~ 2.5.14.1 버전

□ 해결 방안
 o Struts 2.1.1 ~ 2.5.14.1 버전 사용자
  - Struts 2.5.16 버전으로 업데이트 적용[2]
  - XSteam 처리기 대신 Jackson XLM 처리기 사용[3]

□ 기타 문의사항
 o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

[참고사이트]
[1] https://cwiki.apache.org/confluence/display/WW/S2-056
[2] https://struts.apache.org/download.cgi#struts2516
[3] http://struts.apache.org/plugins/rest/#custom-contenttypehandlers 

[kisa 보안공지] Apple사 제품군...
[kisa 보안공지] MS 보안 위협에...

목록보기